yaml: yaml_event_s Struct Reference

yaml 0.2.2

Data Fields
yaml_event_s Struct Reference
Events

The event structure. More...

`#include <yaml.h>`

## Data Fields
yaml_event_type_t | type
| The event type. More...
union {
struct {
yaml_encoding_t encoding
| The document encoding. More...
} stream_start
| The stream parameters (for `YAML_STREAM_START_EVENT`). More...
struct {
yaml_version_directive_t * version_directive
| The version directive. More...
struct {
yaml_tag_directive_t * start
| The beginning of the tag directives list. More...
yaml_tag_directive_t * end
| The end of the tag directives list. More...
} tag_directives
| The list of tag directives. More...
int implicit
| Is the document indicator implicit?
} document_start
| The document parameters (for `YAML_DOCUMENT_START_EVENT`). More...
struct {
int implicit
| Is the document end indicator implicit?
} document_end
| The document end parameters (for `YAML_DOCUMENT_END_EVENT`). More...
struct {
yaml_char_t * anchor
| The anchor. More...
} alias
| The alias parameters (for `YAML_ALIAS_EVENT`). More...
struct {
yaml_char_t * anchor
| The anchor. More...
yaml_char_t * tag
| The tag. More...
yaml_char_t * value
| The scalar value. More...
size_t length
| The length of the scalar value. More...
int plain_implicit
| Is the tag optional for the plain style?
int quoted_implicit
| Is the tag optional for any non-plain style?
yaml_scalar_style_t style
| The scalar style. More...
} scalar
| The scalar parameters (for `YAML_SCALAR_EVENT`). More...
struct {
yaml_char_t * anchor
| The anchor. More...
yaml_char_t * tag
| The tag. More...
int implicit
| Is the tag optional?
yaml_sequence_style_t style
| The sequence style. More...
} sequence_start
| The sequence parameters (for `YAML_SEQUENCE_START_EVENT`). More...
struct {
yaml_char_t * anchor
| The anchor. More...
yaml_char_t * tag
| The tag. More...
int implicit
| Is the tag optional?
yaml_mapping_style_t style
| The mapping style. More...
} mapping_start
| The mapping parameters (for `YAML_MAPPING_START_EVENT`). More...
} | data
| The event data. More...
yaml_mark_t | start_mark
| The beginning of the event. More...
yaml_mark_t | end_mark
| The end of the event. More...

## Detailed Description

The event structure.

## Field Documentation

## ◆ type

yaml_event_type_t yaml_event_s::type

The event type.

## ◆ encoding

yaml_encoding_t yaml_event_s::encoding

The document encoding.

## ◆ stream_start

struct { ... } yaml_event_s::stream_start

The stream parameters (for `YAML_STREAM_START_EVENT`).

## ◆ version_directive

yaml_version_directive_t* yaml_event_s::version_directive

The version directive.

## ◆ start

yaml_tag_directive_t* yaml_event_s::start

The beginning of the tag directives list.

## ◆ end

yaml_tag_directive_t* yaml_event_s::end

The end of the tag directives list.

## ◆ tag_directives

struct { ... } yaml_event_s::tag_directives

The list of tag directives.

## ◆ implicit

int yaml_event_s::implicit

Is the document indicator implicit?

Is the tag optional?

Is the document end indicator implicit?

## ◆ document_start

struct { ... } yaml_event_s::document_start

The document parameters (for `YAML_DOCUMENT_START_EVENT`).

## ◆ document_end

struct { ... } yaml_event_s::document_end

The document end parameters (for `YAML_DOCUMENT_END_EVENT`).

## ◆ anchor

yaml_char_t* yaml_event_s::anchor

The anchor.

## ◆ alias

struct { ... } yaml_event_s::alias

The alias parameters (for `YAML_ALIAS_EVENT`).

## ◆ tag

yaml_char_t* yaml_event_s::tag

The tag.

## ◆ value

yaml_char_t* yaml_event_s::value

The scalar value.

## ◆ length

size_t yaml_event_s::length

The length of the scalar value.

## ◆ style [1/3]

yaml_scalar_style_t yaml_event_s::style

The scalar style.

## ◆ scalar

struct { ... } yaml_event_s::scalar

The scalar parameters (for `YAML_SCALAR_EVENT`).

## ◆ style [2/3]

yaml_sequence_style_t yaml_event_s::style

The sequence style.

## ◆ sequence_start

struct { ... } yaml_event_s::sequence_start

The sequence parameters (for `YAML_SEQUENCE_START_EVENT`).

## ◆ style [3/3]

yaml_mapping_style_t yaml_event_s::style

The mapping style.

## ◆ mapping_start

struct { ... } yaml_event_s::mapping_start

The mapping parameters (for `YAML_MAPPING_START_EVENT`).

## ◆ data

union { ... } yaml_event_s::data

The event data.

## ◆ start_mark

yaml_mark_t yaml_event_s::start_mark

The beginning of the event.

## ◆ end_mark

yaml_mark_t yaml_event_s::end_mark

The end of the event.

The documentation for this struct was generated from the following file:

- yaml.h